Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 598155 - (CVE-2010-1459) CVE-2010-1459 Mono: View State Cross-Site Scripting
CVE-2010-1459 Mono: View State Cross-Site Scripting
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://www.mono-project.com/Vulnerabi...
impact=moderate,source=vendor-sec,rep...
: Security
Depends On: 598159
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-31 11:26 EDT by Jan Lieskovsky
Modified: 2016-03-04 06:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 14:50:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch against v1.9.1 (2.83 KB, patch)
2010-05-31 11:36 EDT, Jan Lieskovsky
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2010-05-31 11:26:08 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-1459 to
the following vulnerability:

The default configuration of ASP.NET in Mono before 2.6.4 has a value
of FALSE for the EnableViewStateMac property, which allows remote
attackers to conduct cross-site scripting (XSS) attacks, as
demonstrated by the __VIEWSTATE parameter to 2.0/menu/menu1.aspx in
the XSP sample project.

Upstream patch:
  [1] http://anonsvn.mono-project.com/viewvc?view=revision&revision=154493

References:
  [2] http://www.communities.hp.com/securitysoftware/blogs/spilabs/archive/2010/04/29/asp-net-cross-site-scripting-followup-mono.aspx
  [3] http://www.mono-project.com/Vulnerabilities#ASP.NET_View_State_Cross-Site_Scripting
  [4] http://lists.opensuse.org/opensuse-security-announce/2010-05/msg00002.html
  [5] http://www.securityfocus.com/bid/40351
Comment 1 Jan Lieskovsky 2010-05-31 11:36:19 EDT
Created attachment 418328 [details]
Upstream patch against v1.9.1
Comment 2 Jan Lieskovsky 2010-05-31 11:39:48 EDT
This issue affects the versions of the mono package, as shipped
with Fedora release of 11, 12 and 13.

This issue affects the version of the mono package, as present
in EPEL-5 repository. 

Please fix.
Comment 4 Fedora Update System 2010-06-23 18:14:47 EDT
gnome-sharp-2.24.1-1.fc13,gtksourceview-sharp-2.0.12-11.fc13,mono-tools-2.6.2-1.fc13,mod_mono-2.6.3-1.fc13,xsp-2.6.4-1.fc13,mono-2.6.4-1.fc13,mono-basic-2.6.2-1.fc13,libgdiplus-2.6.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gnome-sharp-2.24.1-1.fc13,gtksourceview-sharp-2.0.12-11.fc13,mono-tools-2.6.2-1.fc13,mod_mono-2.6.3-1.fc13,xsp-2.6.4-1.fc13,mono-2.6.4-1.fc13,mono-basic-2.6.2-1.fc13,libgdiplus-2.6.4-1.fc13
Comment 5 Fedora Update System 2010-06-26 18:02:23 EDT
mono-2.4.3.1-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mono-2.4.3.1-2.fc12
Comment 6 Fedora Update System 2010-07-13 03:47:22 EDT
gnome-sharp-2.24.1-1.fc13, gtksourceview-sharp-2.0.12-11.fc13, mono-tools-2.6.2-1.fc13, mod_mono-2.6.3-1.fc13, xsp-2.6.4-1.fc13, mono-2.6.4-1.fc13, mono-basic-2.6.2-1.fc13, libgdiplus-2.6.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-07-13 03:47:56 EDT
mono-2.4.3.1-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Christian Krause 2010-07-13 14:50:58 EDT
The issue is now fixed in F12 and F13 and it was never present in RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.